import { RequestClient } from '@segment/actions-core';
import DDApi from '../dd-api';
import { CpaasMessageBody } from '../types';
import type { Settings } from '../../generated-types';
declare class DDCpaasApi extends DDApi {
    constructor(settings: Settings, client: RequestClient);
    sendTransactionalSms(body: CpaasMessageBody): Promise<unknown>;
}
export default DDCpaasApi;
